NCVMatrixReuse< T > Class Template Reference

NCVMatrixReuse. More...

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/people/src/cuda/nvidia/NCV.hpp>`

Inheritance diagram for NCVMatrixReuse< T >:

## Public Member Functions

| NCVMatrixReuse (const NCVMemSegment &memSegment, Ncv32u alignment, Ncv32u width, Ncv32u height, Ncv32u pitch=0, NcvBool bSkipPitchCheck=false)
| NCVMatrixReuse (const NCVMatrix< T > &mat, NcvRect32u roi)
NcvBool | isMemReused () const
Public Member Functions inherited from NCVMatrix< T >
| NCVMatrix ()
virtual | ~NCVMatrix ()
void | clear ()
Ncv32u | stride () const
NCVStatus | copySolid (NCVMatrix< T > &dst, cudaStream_t cuStream, size_t howMuch=0) const
NCVStatus | copy2D (NCVMatrix< T > &dst, NcvSize32u roi, cudaStream_t cuStream) const
T & | at (Ncv32u x, Ncv32u y) const
T * | ptr () const
Ncv32u | width () const
Ncv32u | height () const
NcvSize32u | size () const
Ncv32u | pitch () const
NCVMemoryType | memType () const

## Additional Inherited Members

Protected Attributes inherited from NCVMatrix< T >
T * | _ptr
Ncv32u | _width
Ncv32u | _height
Ncv32u | _pitch
NCVMemoryType | _memtype

## Detailed Description

### template<class T>
class NCVMatrixReuse< T >

NCVMatrixReuse.

Definition at line 876 of file NCV.hpp.

## Constructor & Destructor Documentation

## NCVMatrixReuse() [1/2]

template<class T >

NCVMatrixReuse< T >::NCVMatrixReuse | ( | const NCVMemSegment & | memSegment,
|  | Ncv32u | alignment,
|  | Ncv32u | width,
|  | Ncv32u | height,
|  | Ncv32u | pitch = `0`,
|  | NcvBool | bSkipPitchCheck = `false`
| ) |  |

inline

Definition at line 883 of file NCV.hpp.

References NCVMemSegment::begin, NCVMemPtr::memtype, NCVMemPtr::ptr, and NCVMemSegment::size.

## NCVMatrixReuse() [2/2]

template<class T >

NCVMatrixReuse< T >::NCVMatrixReuse | ( | const NCVMatrix< T > & | mat,
|  | NcvRect32u | roi
| ) |  |

inline

Definition at line 918 of file NCV.hpp.

References NCVMatrix< T >::at(), NcvRect32u::height, NCVMatrix< T >::height(), NCVMatrix< T >::memType(), NCVMatrix< T >::pitch(), NcvRect32u::width, NCVMatrix< T >::width(), NcvRect32u::x, and NcvRect32u::y.

## Member Function Documentation

## isMemReused()

template<class T >

NcvBool NCVMatrixReuse< T >::isMemReused | ( |  | ) | const

inline

Definition at line 936 of file NCV.hpp.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/people/src/cuda/nvidia/NCV.hpp